Subject: bug#76924: 31.0.50; Wrong install location for systemd user unit file

From: Ulrich Müller <[email-masked]>
Date: Tue, 11 Mar 2025 15:38:25 +0100

>>>>> On Tue, 11 Mar 2025, Eli Zaretskii wrote:

>> Maybe the cleanest solution would be to ask pkg-config (after all,
>> systemd must find these files), with $(prefix)/lib/systemd/user as
>> fallback location.

> SGTM, thanks.

Sorry, I had a thinko there. Asking pkg-config isn't such a good idea.
Imagine someone installing with prefix=/usr/local, we would then install
the unit file in a stray location outside prefix. It is even worse for
non-root installs where the dir may not even be writable.

So I come back to my original solution of $(prefix)/lib/systemd/user,
which just avoids "lib64" in favour of "lib".

Or we could add a configure option (like --with-systemduserunitdir),
but maybe that would be over-engineered.